package net.meutel.recettes.api.controller;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

import lombok.extern.slf4j.Slf4j;
import net.meutel.recettes.api.ParametersApi;
import net.meutel.recettes.api.model.RecetteParam;
import net.meutel.recettes.api.service.ParametersService;

@Slf4j
@RestController
public class ParameterController implements ParametersApi {

    private final ParametersService service;

    public ParameterController(ParametersService service) {
        this.service = service;
    }

    @Override
    public ResponseEntity<List<RecetteParam>> listRecetteParamsByType(String paramType) {
        log.info("list params: " + paramType);
        return ResponseEntity.ok(service.loadAllParameters(paramType));
    }

}
