package net.meutel.recettes.api.controller;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

import net.meutel.recettes.api.ReceipesApi;
import net.meutel.recettes.api.model.Receipe;
import net.meutel.recettes.api.service.ReceipeService;

@RestController
public class ReceipeController implements ReceipesApi {

    private final ReceipeService service;

    public ReceipeController(ReceipeService service) {
        this.service = service;
    }

    @Override
    public ResponseEntity<List<Receipe>> findReceipes() {
        return ResponseEntity.ok(service.findReceipes());
    }

    @Override
    public ResponseEntity<Receipe> getReceipeById(String receipeId) {
       return ResponseEntity.ok(service.getReceipeById(receipeId));
    }

}
