package net.meutel.recettes.api.service;

import java.util.List;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import net.meutel.recettes.api.mapper.RecetteParamMapper;
import net.meutel.recettes.api.model.RecetteParam;
import net.meutel.recettes.api.repository.RecetteParamRepository;

@Service
public class ParametersServiceImpl implements ParametersService {

    private final RecetteParamRepository repo;
    private final RecetteParamMapper mapper;

    public ParametersServiceImpl(RecetteParamRepository repo, RecetteParamMapper mapper) {
        this.repo = repo;
        this.mapper = mapper;
    }

    @Override
    public List<RecetteParam> loadAllParameters(final String paramType) {
        return repo.findBy_type(paramType).map(mapper::fromEntity).collect(Collectors.toList());
    }
    
}
