import { Component, OnInit } from '@angular/core';
import { CommonModule, NgFor } from '@angular/common';
import { Receipe, ReceipeService } from 'recettes-ng-client';
import { environment } from '../../environments/environment';

@Component({
  selector: 'app-receipes-list',
  standalone: true,
  imports: [CommonModule, NgFor],
  templateUrl: './receipes-list.component.html',
  styleUrl: './receipes-list.component.scss'
})
export class ReceipesListComponent implements OnInit {

  receipes: Receipe[] = []

  constructor(private receipeService: ReceipeService) {
    console.log(environment.apiUrl)
  }

  ngOnInit(): void {
      this.receipeService.findReceipes()
        .subscribe(list => this.receipes = list)
  }

}
